Page MenuHomePhabricator

Sprint extension may be causing weirdness with task views (open vs. all)
Closed, ResolvedPublic1 Estimated Story Points

Description

When viewing details for a project there is a difference when using URL's... basically /view/123 and /tag/project show open vs all task defaults. Upstream cannot reproduce.

https://phabricator.wikimedia.org/project/view/37/ vs. https://phabricator.wikimedia.org/tag/mediawiki-core-team/

These two views should be the same but the first is "open" tasks and the second is "all" tasks.

This seems hardcoded in the upstream:

$query_key = $request->getURIData('queryKey');
   if (!$query_key) {
     $query_key = 'open';
   }

@mmodell's and my best guess is the Sprint app is doing something funny.

Event Timeline

chasemp created this task.Feb 24 2015, 11:44 PM
chasemp raised the priority of this task from to High.
chasemp updated the task description. (Show Details)
chasemp added subscribers: chasemp, mmodell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 11:44 PM
chasemp updated the task description. (Show Details)Feb 24 2015, 11:46 PM
chasemp set Security to None.

Confirmed "All Tasks" view intentional default behavior for Sprint Boards. The side effect for non-Sprint Boards is an oversight. (No implementation of a conditional check for Sprint at this query key value assignment in SprintBoardViewController, lines 111-113.)

greg added a subscriber: greg.Feb 26 2015, 5:19 PM
Tgr added a subscriber: Tgr.Feb 26 2015, 7:22 PM

Also the navigation bar on the left side is slightly broken with the nice URL (the active menu item, workboards, is not selected).

In T90661#1070939, @Tgr wrote:

the active menu item, workboards, is not selected

That is T90770

See comments/suggestions in T89865

Christopher edited a custom field.Mar 1 2015, 6:56 PM
Christopher moved this task from Backlog to Review on the Phabricator-Sprint-Extension board.
Qgil added a subscriber: Qgil.Mar 5 2015, 8:07 PM

The change is merged.

chasemp lowered the priority of this task from High to Medium.Mar 11 2015, 9:10 PM
mmodell closed this task as Resolved.May 6 2015, 3:10 PM
mmodell claimed this task.